#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	static_libs	# don't build static libraries
#
Summary:	libfilezilla
Summary(pl.UTF-8):	libfilezilla
Name:		libfilezilla
Version:	0.6.1
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://downloads.sourceforge.net/filezilla/%{name}-%{version}.tar.bz2
# Source0-md5:	3d4728ce8949490b09198443e955c8b6
URL:		http://lib.filezilla-project.org/
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.583
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libfilezilla is a free, open source C++ library, offering some basic
functionality to build high-performing, platform-independent programs.
Some of the highlights include:

- A typesafe, multi-threaded event system that's very simple to use
  yet extremely efficient
- Timers for periodic events
- A datetime class that not only tracks timestamp but also their
  accuracy, which simplifies dealing with timestamps originating from
  different sources
- Simple process handling for spawning child processes with redirected
  I/O

#%description -l pl.UTF-8

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%package static
Summary:	Static %{name} library
Summary(pl.UTF-8):	Statyczna biblioteka %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static %{name} library.

%description static -l pl.UTF-8
Statyczna biblioteka %{name}.

%package apidocs
Summary:	%{name} API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki %{name}
Group:		Documentation

%description apidocs
API documentation for %{name} library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki %{name}.

%prep
%setup -q

%build
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/%{name}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/%{name}.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}.so
%{_includedir}/%{name}
%{_pkgconfigdir}/%{name}.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/%{name}.a
%endif

%if 0
%files apidocs
%defattr(644,root,root,755)
%doc doc/*
%endif
%changelog
* Sun Aug 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libfilezilla.git;a=log;h=master

* Sun Jul 31 2016 Witold Filipczyk <witekfl@poczta.onet.pl> be98743
- updated to 0.6.1

* Thu Jun 30 2016 Witold Filipczyk <witekfl@poczta.onet.pl> aba039e
- updated to 0.5.3

* Sat May 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> bb68d60
- updated to 0.5.2

* Sat May 14 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 4ed6034
- updated to 0.5.1

* Wed Apr 20 2016 Witold Filipczyk <witekfl@poczta.onet.pl> f7de86c
- updated to 0.5.0

* Sat Feb 20 2016 Witold Filipczyk <witekfl@poczta.onet.pl> fdec25b
- new

